Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.authentication
Interface UserLockoutManagerMBean

public interface UserLockoutManagerMBean
extends weblogic.management.commo.StandardInterface

Lists and manages lockouts on user accounts.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `clearLockout(java.lang.String userName)` Unlocks a user account.
`long` | `getInvalidLoginAttemptsTotalCount()` Returns the number of invalid logins attempted since this server has been started and lockouts have been enabled.
`long` | `getInvalidLoginUsersHighCount()` Returns the highest number of users with concurrent unexpired or uncleared invalid login attempts.
`long` | `getLastLoginFailure(java.lang.String userName)` Returns a string that indicates the time of the last invalid login for this user.
`long` | `getLockedUsersCurrentCount()` Returns the number of users that are currently locked out of this server.
`long` | `getLockoutCacheSize()` The number of invalid login records that the server places in a cache.
`long` | `getLockoutDuration()` The number of minutes that a user account is locked out.
`long` | `getLockoutGCThreshold()` The maximum number of invalid login records that the server keeps in memory.
`long` | `getLockoutResetDuration()` The number of minutes within which consecutive invalid login attempts cause the user account to be locked out.
`long` | `getLockoutThreshold()` The maximum number of consecutive invalid login attempts before account is locked out.
`long` | `getLoginAttemptsWhileLockedTotalCount()` Returns the number of invalid logins attempted since this server has been started and lockouts have been enabled.
`long` | `getLoginFailureCount(java.lang.String userName)` Returns the current count of login failures for a specific user.
`RealmMBean` | `getRealm()` The name of the realm that is currently using this MBean.
`long` | `getUnlockedUsersTotalCount()` Returns the number times users have been unlocked since this server has been started.
`long` | `getUserLockoutTotalCount()` Returns the number of user lockouts that have occurred since this server has been started.
`boolean` | `isLockedOut(java.lang.String userName)` Indicates whether a user is locked out.
`boolean` | `isLockoutEnabled()` Indicates whether the server locks out users when there are invalid login attempts.
`void` | `setLockoutCacheSize(long newValue)` The number of invalid login records that the server places in a cache.
`void` | `setLockoutDuration(long newValue)` The number of minutes that a user account is locked out.
`void` | `setLockoutEnabled(boolean newValue)` Indicates whether the server locks out users when there are invalid login attempts.
`void` | `setLockoutGCThreshold(long newValue)` The maximum number of invalid login records that the server keeps in memory.
`void` | `setLockoutResetDuration(long newValue)` The number of minutes within which consecutive invalid login attempts cause the user account to be locked out.
`void` | `setLockoutThreshold(long newValue)` The maximum number of consecutive invalid login attempts before account is locked out.
`void` | `setRealm(RealmMBean newValue)` The name of the realm that is currently using this MBean.

Methods inherited from interface weblogic.management.commo.StandardInterface
`wls_getAttributeTag, wls_getConstructorTag, wls_getDisplayName, wls_getInterfaceClassName, wls_getMBeanTag, wls_getNotificationTag, wls_getObjectName, wls_getOperationTag, wls_instanceOf`

Method Detail

### getUserLockoutTotalCount

    public long getUserLockoutTotalCount()

  Returns the number of user lockouts that have occurred since this server has been started. In a cluster, this method returns the number of user lockouts that have occurred since the cluster has been started because all servers share login failure information.

  Legal NULL: true

### getInvalidLoginAttemptsTotalCount

    public long getInvalidLoginAttemptsTotalCount()

  Returns the number of invalid logins attempted since this server has been started and lockouts have been enabled. In a cluster, this method returns the number of invalid logins attempted that have occurred since the cluster has been started because all servers share login failure information.

  Legal NULL: true

### getLoginAttemptsWhileLockedTotalCount

    public long getLoginAttemptsWhileLockedTotalCount()

  Returns the number of invalid logins attempted since this server has been started and lockouts have been enabled.

  Legal NULL: true

### getInvalidLoginUsersHighCount

    public long getInvalidLoginUsersHighCount()

  Returns the highest number of users with concurrent unexpired or uncleared invalid login attempts. Invalid login attempts expire as specified by `LockoutResetDuration`. This count is useful in determining whether the `LockoutCacheSize` needs to be modified.

  Legal NULL: true

### getUnlockedUsersTotalCount

    public long getUnlockedUsersTotalCount()

  Returns the number times users have been unlocked since this server has been started.

  Legal NULL: true

### getLockedUsersCurrentCount

    public long getLockedUsersCurrentCount()

  Returns the number of users that are currently locked out of this server.

  Legal NULL: true

### getRealm

    public RealmMBean getRealm()

  The name of the realm that is currently using this MBean.

  Legal NULL: true

### setRealm

    public void setRealm(RealmMBean newValue)
                  throws javax.management.InvalidAttributeValueException

  The name of the realm that is currently using this MBean.

  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute Realm
  Throws:
    javax.management.InvalidAttributeValueException -

### isLockoutEnabled

    public boolean isLockoutEnabled()

  Indicates whether the server locks out users when there are invalid login attempts. A `true` value for this attribute causes the server to consider the other attributes of this MBean. A `false` value causes the server to ignore the other attributes of this MBean.

  Default Value: new java.lang.Boolean(true)
  Legal NULL: true

### setLockoutEnabled

    public void setLockoutEnabled(boolean newValue)
                           throws javax.management.InvalidAttributeValueException

  Indicates whether the server locks out users when there are invalid login attempts. A `true` value for this attribute causes the server to consider the other attributes of this MBean. A `false` value causes the server to ignore the other attributes of this MBean.

  Default Value: new java.lang.Boolean(true)
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute LockoutEnabled
  Throws:
    javax.management.InvalidAttributeValueException -

### getLockoutThreshold

    public long getLockoutThreshold()

  The maximum number of consecutive invalid login attempts before account is locked out. When the number of invalid logins within a specified period of time is greater than `LockoutThreshold`value, the user is locked out. For example, with the default setting of `1`, the user is locked out on the second consecutive invalid login. With a setting of `2`, the user is locked out on the third consecutive invalid login.

  Default Value: new java.lang.Long(5)
  Legal NULL: true
  Legal Minimum Value: 1

### setLockoutThreshold

    public void setLockoutThreshold(long newValue)
                             throws javax.management.InvalidAttributeValueException

  The maximum number of consecutive invalid login attempts before account is locked out. When the number of invalid logins within a specified period of time is greater than `LockoutThreshold`value, the user is locked out. For example, with the default setting of `1`, the user is locked out on the second consecutive invalid login. With a setting of `2`, the user is locked out on the third consecutive invalid login.

  Default Value: new java.lang.Long(5)
  Legal NULL: true
  Legal Minimum Value: 1
  Parameters:
    `newValue` - - new value for attribute LockoutThreshold
  Throws:
    javax.management.InvalidAttributeValueException -

### getLockoutDuration

    public long getLockoutDuration()

  The number of minutes that a user account is locked out.

  Default Value: new java.lang.Long(30)
  Legal NULL: true
  Legal Minimum Value: 0

### setLockoutDuration

    public void setLockoutDuration(long newValue)
                            throws javax.management.InvalidAttributeValueException

  The number of minutes that a user account is locked out.

  Default Value: new java.lang.Long(30)
  Legal NULL: true
  Legal Minimum Value: 0
  Parameters:
    `newValue` - - new value for attribute LockoutDuration
  Throws:
    javax.management.InvalidAttributeValueException -

### getLockoutResetDuration

    public long getLockoutResetDuration()

  The number of minutes within which consecutive invalid login attempts cause the user account to be locked out.

  Default Value: new java.lang.Long(5)
  Legal NULL: true
  Legal Minimum Value: 1

### setLockoutResetDuration

    public void setLockoutResetDuration(long newValue)
                                 throws javax.management.InvalidAttributeValueException

  The number of minutes within which consecutive invalid login attempts cause the user account to be locked out.

  Default Value: new java.lang.Long(5)
  Legal NULL: true
  Legal Minimum Value: 1
  Parameters:
    `newValue` - - new value for attribute LockoutResetDuration
  Throws:
    javax.management.InvalidAttributeValueException -

### getLockoutCacheSize

    public long getLockoutCacheSize()

  The number of invalid login records that the server places in a cache. The server creates one record for each invalid login.

  Default Value: new java.lang.Long(5)
  Legal NULL: true
  Legal Minimum Value: 0

### setLockoutCacheSize

    public void setLockoutCacheSize(long newValue)
                             throws javax.management.InvalidAttributeValueException

  The number of invalid login records that the server places in a cache. The server creates one record for each invalid login.

  Default Value: new java.lang.Long(5)
  Legal NULL: true
  Legal Minimum Value: 0
  Parameters:
    `newValue` - - new value for attribute LockoutCacheSize
  Throws:
    javax.management.InvalidAttributeValueException -

### getLockoutGCThreshold

    public long getLockoutGCThreshold()

  The maximum number of invalid login records that the server keeps in memory. If the number of invalid login records is equal to or greater than this value, the server's garbage collection purges the records that have expired. A record expires when the user associated with the record has been locked out.

  The lower the number for this attribute, the more often the server uses its resources to collect garbage.

  Default Value: new java.lang.Long(400)
  Legal NULL: true
  Legal Minimum Value: 0

### setLockoutGCThreshold

    public void setLockoutGCThreshold(long newValue)
                               throws javax.management.InvalidAttributeValueException

  The maximum number of invalid login records that the server keeps in memory. If the number of invalid login records is equal to or greater than this value, the server's garbage collection purges the records that have expired. A record expires when the user associated with the record has been locked out.

  The lower the number for this attribute, the more often the server uses its resources to collect garbage.

  Default Value: new java.lang.Long(400)
  Legal NULL: true
  Legal Minimum Value: 0
  Parameters:
    `newValue` - - new value for attribute LockoutGCThreshold
  Throws:
    javax.management.InvalidAttributeValueException -

### isLockedOut

    public boolean isLockedOut(java.lang.String userName)

  Indicates whether a user is locked out.

  Parameters:
    `userName` - - A user name. If the user does not exist, this method returns `false`.

### clearLockout

    public void clearLockout(java.lang.String userName)

  Unlocks a user account.

  Parameters:
    `userName` - - A user name. If the user does not exist, this method returns `false`.

### getLastLoginFailure

    public long getLastLoginFailure(java.lang.String userName)

  Returns a string that indicates the time of the last invalid login for this user.

  Parameters:
    `userName` - - A user name. If the user does not exist, this method returns `false`.

### getLoginFailureCount

    public long getLoginFailureCount(java.lang.String userName)

  Returns the current count of login failures for a specific user. This value returns to `0` after a user successfully logs in or the user account is unlocked.

  Parameters:
    `userName` - - A user name. If the user does not exist, this method returns `false`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD